#ifndef Guest_HEADER
#define Guest_HEADER

#include <iostream>
using namespace std;


class Guest{
public:
   Guest(int bTime=0);
   Guest(const Guest& v2);
   ~Guest();
   Guest& operator=(const Guest& v2);

   static int GetTotalCounter() { return totalCounter; }
   static int GetTotalCounterAssign() { return totalCounterAssign; }
   static void ResetCounters() {
      totalCounter = 0; totalCounterAssign = 0;
   }

private:
   static int totalCounter;
   static int totalCounterAssign;
   int bathEntryTime;
   int wakeUpTime;

   friend Guest operator+(const Guest& v1, const Guest& v2){
      Guest erg;
      erg.bathEntryTime = v1.bathEntryTime + v2.bathEntryTime;
      erg.wakeUpTime = v1.wakeUpTime + v2.wakeUpTime;
      return erg;
   }
   friend ostream& operator<<(ostream& str, const Guest& v2){
      str << "(" << v2.bathEntryTime << ", "
         << v2.wakeUpTime << ")";
         return str;
   }
};


#endif
